Bug 919290 - should cronie's systemd script use "KillMode=process"?
Summary: should cronie's systemd script use "KillMode=process"?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cronie
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-08 01:59 UTC by Matthew Miller
Modified: 2013-09-30 00:50 UTC (History)
3 users (show)

Fixed In Version: cronie-1.4.11-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-25 13:28:46 UTC


Attachments (Terms of Use)

Description Matthew Miller 2013-03-08 01:59:31 UTC
See this Arch Linux discussion: https://mailman.archlinux.org/pipermail/arch-general/2013-January/032514.html

> Indeed, cron daemon services should use KillMode=process. I'll implement
> that for cronie and push it to [testing] right away. If you use another
> daemon, please create a bug on our tracker.

Comment 1 Fedora End Of Life 2013-04-03 16:24:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Marcela Mašláňová 2013-08-13 10:33:04 UTC
Fixed in upstream 6896eaa4168b020ca3313603c6f8f156f92ce49f

Comment 3 Fedora Update System 2013-09-25 13:21:56 UTC
cronie-1.4.10-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cronie-1.4.10-6.fc19

Comment 4 Fedora Update System 2013-09-25 13:34:51 UTC
cronie-1.4.11-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cronie-1.4.11-4.fc20

Comment 5 Fedora Update System 2013-09-27 05:41:31 UTC
cronie-1.4.10-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cronie-1.4.10-7.fc19

Comment 6 Fedora Update System 2013-09-29 01:47:00 UTC
cronie-1.4.10-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-09-30 00:50:39 UTC
cronie-1.4.11-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.